List Egress Traffic Events
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}/egress/traffic \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}/egress/traffic"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}/egress/traffic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"applicationOperation": "<string>",
"attemptOrdinal": "<string>",
"cacheReadTokens": "<string>",
"cacheWriteTokens": "<string>",
"callRole": "<string>",
"capability": "TB_TRAFFIC_CAPABILITY_UNSPECIFIED",
"configGeneration": "<string>",
"costLookup": "TB_COST_LOOKUP_UNSPECIFIED",
"costNanoUsd": "<string>",
"counterLatencyMs": "<string>",
"counterRequestBytes": "<string>",
"counterResponseBytes": "<string>",
"destHost": "<string>",
"destPort": 123,
"egressEnforcementMode": "<string>",
"egressPolicyVerdict": "<string>",
"eventId": "<string>",
"eventTime": "2023-11-07T05:31:56Z",
"federatedSession": {
"clientId": "<string>",
"grantJtiHash": "<string>",
"issuerName": "<string>",
"proofKeyThumbprint": "<string>",
"resource": "<string>",
"scopes": [
"<string>"
],
"sessionId": "<string>",
"tenantId": "<string>"
},
"flowId": "<string>",
"ingressEnforcementMode": "<string>",
"ingressScope": "<string>",
"inputTokens": "<string>",
"logicalModel": "<string>",
"modelName": "<string>",
"modelRoute": "<string>",
"modelTarget": "<string>",
"observationStatus": "<string>",
"outcome": "TB_TRAFFIC_OUTCOME_UNSPECIFIED",
"outputTokens": "<string>",
"parsedVerdictReasons": [
{
"blockingKinds": [
"<string>"
],
"classes": [
"<string>"
],
"clean": true,
"context": "<string>",
"exemptedKinds": [
"<string>"
],
"response": true,
"stage": "<string>"
}
],
"principalUserId": "<string>",
"requestAuthority": "<string>",
"routingRunId": "<string>",
"sourceConfidence": "<string>",
"sourcePrincipal": "<string>",
"sourcePrincipalKind": "<string>",
"verdictFromFallback": true,
"verdictReasons": [
"<string>"
],
"verdictResolvedRaw": "<string>"
}
],
"nextPageToken": "<string>"
}Edge
List Egress Traffic Events
Lists egress traffic events for this Edge in the requested time window.
GET
/
api
/
v1
/
apps
/
{app_id}
/
edges
/
{id}
/
egress
/
traffic
List Egress Traffic Events
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Query Parameters
The bucket field.
Available options:
TB_TIME_BUCKET_UNSPECIFIED, TB_TIME_BUCKET_HOUR, TB_TIME_BUCKET_DAY The dimension field.
Available options:
TB_USAGE_ATTRIBUTION_DIMENSION_UNSPECIFIED, TB_USAGE_ATTRIBUTION_DIMENSION_TEAM, TB_USAGE_ATTRIBUTION_DIMENSION_APPLICATION, TB_USAGE_ATTRIBUTION_DIMENSION_AGENT, TB_USAGE_ATTRIBUTION_DIMENSION_COST_CENTER, TB_USAGE_ATTRIBUTION_DIMENSION_USER, TB_USAGE_ATTRIBUTION_DIMENSION_PROVIDER, TB_USAGE_ATTRIBUTION_DIMENSION_MODEL The pageSize field.
The pageToken field.
The since field.
The until field.
Was this page helpful?